Bug 261391 - www/py-django-allauth: Update to 0.47.0
Summary: www/py-django-allauth: Update to 0.47.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://github.com/pennersr/django-al...
Keywords:
Depends on:
Blocks: 261313
  Show dependency treegraph
 
Reported: 2022-01-21 19:23 UTC by Kai Knoblich
Modified: 2022-01-25 19:37 UTC (History)
1 user (show)

See Also:
vladimir.chukharev: maintainer-feedback+


Attachments
py-django-allauth-0.47.0.patch (1.49 KB, patch)
2022-01-21 19:23 UTC, Kai Knoblich
kai: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2022-01-21 19:23:02 UTC
Created attachment 231224 [details]
py-django-allauth-0.47.0.patch

Hi,

attached is the patch that updates www/py-django-allauth to 0.47.0 .

QA:
~~~
- poudriere -> OK (12.2-RELEASSE amd64, py37, py38, py39, py310)
Comment 1 vladimir.chukharev 2022-01-24 17:02:41 UTC
I have nothing against this, but I cannot make any checks about it, either.

It would be better if you reset my maintainership at the same time. And possibly for all my ports, too. I do not have any working FreeBSD box, and I do not anticipate getting one any soon...

Thanks. 
Vladimir Chukharev
Comment 2 commit-hook freebsd_committer 2022-01-25 19:25:11 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=bb932872ab3e1e4bad7b64df9a882f01399c6021

commit bb932872ab3e1e4bad7b64df9a882f01399c6021
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2022-01-25 19:05:39 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2022-01-25 19:22:44 +0000

    */*: Maintainer reset

    Drop maintainership of all ports as his own request.  We thank Vladimir
    for all his efforts and hope to welcome him back in the future.

    PR:             261391
    Approved by:    Vladimir Chukharev (maintainer)
    MFH:            2022Q1

 devel/py-apptools/Makefile                       | 2 +-
 devel/py-envisage/Makefile                       | 2 +-
 devel/py-pyface/Makefile                         | 2 +-
 devel/py-robotframework-pabot/Makefile           | 2 +-
 devel/py-robotframework-seleniumlibrary/Makefile | 2 +-
 devel/py-robotframework/Makefile                 | 2 +-
 devel/py-robotremoteserver/Makefile              | 2 +-
 graphics/py-traitsui/Makefile                    | 2 +-
 ports-mgmt/porttree/Makefile                     | 2 +-
 www/py-django-allauth/Makefile                   | 2 +-
 10 files changed, 10 insertions(+), 10 deletions(-)
Comment 3 commit-hook freebsd_committer 2022-01-25 19:25:11 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=2c86cfec741b1241222dcd0f70672418eff27bb7

commit 2c86cfec741b1241222dcd0f70672418eff27bb7
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2022-01-25 19:02:50 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2022-01-25 19:22:44 +0000

    www/py-django-allauth: Update to 0.47.0

    Changelog since 0.41.0:

    https://github.com/pennersr/django-allauth/compare/0.41.0...0.47.0

    PR:             261391
    Approved by:    Vladimir Chukharev (maintainer)
    MFH:            No (contains backwards incompatible changes)

 www/py-django-allauth/Makefile | 5 +++--
 www/py-django-allauth/distinfo | 6 +++---
 2 files changed, 6 insertions(+), 5 deletions(-)
Comment 4 commit-hook freebsd_committer 2022-01-25 19:26:12 UTC
A commit in branch 2022Q1 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=78483093bb0c61fa5dee7ee09a85495b897408c9

commit 78483093bb0c61fa5dee7ee09a85495b897408c9
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2022-01-25 19:05:39 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2022-01-25 19:25:39 +0000

    */*: Maintainer reset

    Drop maintainership of all ports as his own request.  We thank Vladimir
    for all his efforts and hope to welcome him back in the future.

    PR:             261391
    Approved by:    Vladimir Chukharev (maintainer)
    MFH:            2022Q1

    (cherry picked from commit bb932872ab3e1e4bad7b64df9a882f01399c6021)

 devel/py-apptools/Makefile                       | 2 +-
 devel/py-envisage/Makefile                       | 2 +-
 devel/py-pyface/Makefile                         | 2 +-
 devel/py-robotframework-pabot/Makefile           | 2 +-
 devel/py-robotframework-seleniumlibrary/Makefile | 2 +-
 devel/py-robotframework/Makefile                 | 2 +-
 devel/py-robotremoteserver/Makefile              | 2 +-
 graphics/py-traitsui/Makefile                    | 2 +-
 ports-mgmt/porttree/Makefile                     | 2 +-
 www/py-django-allauth/Makefile                   | 2 +-
 10 files changed, 10 insertions(+), 10 deletions(-)
Comment 5 Kai Knoblich freebsd_committer 2022-01-25 19:28:24 UTC
Comment on attachment 231224 [details]
py-django-allauth-0.47.0.patch

^ Triage: Set maintainer-approval flag to '+' as the maintainer's approval was given in comment #1.
Comment 6 Kai Knoblich freebsd_committer 2022-01-25 19:37:39 UTC
(In reply to vladimir.chukharev from comment #1)

At the outset: Thank you for your feedback and approval.  The update is committed to the main branch.

I also reset the MAINTAINER field of all ports, as you requested, and MFH'ed it into the 2022Q1 branch.

Many thanks for all your efforts and I'd be happy if you would contribute to FreeBSD again at some point.